System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

This attribute is typically used in the Properties window to determine whether to render an expandable object as read-only. As such, this property is used only at design time.

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies that an object has no subproperties capable of being edited. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This attribute is typically used in the Properties window to determine whether to render an expandable object as read-only.

  Initializes a new instance of the class.

  true if the object is immutable; otherwise, false.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ImmutableObjectAttribute

  Defaults to .

  Represents the default value for .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  This attribute is typically used in the Properties window to determine whether to render an expandable object as read-only.

  Gets whether the object is immutable.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Indicates whether the value of this instance is the default value.

  true if this instance is the default attribute for the class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ImmutableObjectAttribute

  This field is the default setting for this attribute.

  This attribute is typically used in the Properties window to determine whether to render an expandable object as read-only.

  Specifies that an object has at least one editable subproperty. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ImmutableObjectAttribute

  This attribute is typically used in the Properties window to determine whether to render an expandable object as read-only.

  Specifies that an object has no subproperties that can be edited. This static field is read-only.